## EmpathyChat

EmpathyChat

## Synopsis

                        EmpathyChat;
    EmpathyChat *       empathy_chat_new                    (EmpathyTpChat *tp_chat);
    EmpathyTpChat *     empathy_chat_get_tp_chat            (EmpathyChat *chat);
    void                empathy_chat_set_tp_chat            (EmpathyChat *chat,
                                                             EmpathyTpChat *tp_chat);
    McAccount *         empathy_chat_get_account            (EmpathyChat *chat);
    const gchar *       empathy_chat_get_id                 (EmpathyChat *chat);
    const gchar *       empathy_chat_get_name               (EmpathyChat *chat);
    const gchar *       empathy_chat_get_subject            (EmpathyChat *chat);
    EmpathyContact *    empathy_chat_get_remote_contact     (EmpathyChat *chat);
    guint               empathy_chat_get_members_count      (EmpathyChat *chat);
    GtkWidget *         empathy_chat_get_contact_menu       (EmpathyChat *chat);
    void                empathy_chat_clear                  (EmpathyChat *chat);
    void                empathy_chat_scroll_down            (EmpathyChat *chat);
    void                empathy_chat_cut                    (EmpathyChat *chat);
    void                empathy_chat_copy                   (EmpathyChat *chat);
    void                empathy_chat_paste                  (EmpathyChat *chat);
    void                empathy_chat_correct_word           (EmpathyChat *chat,
                                                             GtkTextIter *start,
                                                             GtkTextIter *end,
                                                             const gchar *new_word);
    gboolean            empathy_chat_is_room                (EmpathyChat *chat);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----EmpathyChat

## Implemented Interfaces

EmpathyChat implements GtkBuildable and AtkImplementorIface.

## Properties

      "account"                  McAccount*            : Read
      "id"                       gchar*                : Read
      "name"                     gchar*                : Read
      "remote-contact"           EmpathyContact*       : Read
      "subject"                  gchar*                : Read
      "tp-chat"                  EmpathyTpChat*        : Read / Write / Construct

## Signals

      "composing"                                      : Run Last
      "new-message"                                    : Run Last

## Description

## Details

### EmpathyChat

    typedef struct _EmpathyChat EmpathyChat;

### empathy_chat_new ()

    EmpathyChat *       empathy_chat_new                    (EmpathyTpChat *tp_chat);

`tp_chat` : |
Returns : |

### empathy_chat_get_tp_chat ()

    EmpathyTpChat *     empathy_chat_get_tp_chat            (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_set_tp_chat ()

    void                empathy_chat_set_tp_chat            (EmpathyChat *chat,
                                                             EmpathyTpChat *tp_chat);

`chat` : |
`tp_chat` : |

### empathy_chat_get_account ()

    McAccount *         empathy_chat_get_account            (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_get_id ()

    const gchar *       empathy_chat_get_id                 (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_get_name ()

    const gchar *       empathy_chat_get_name               (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_get_subject ()

    const gchar *       empathy_chat_get_subject            (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_get_remote_contact ()

    EmpathyContact *    empathy_chat_get_remote_contact     (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_get_members_count ()

    guint               empathy_chat_get_members_count      (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_get_contact_menu ()

    GtkWidget *         empathy_chat_get_contact_menu       (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_clear ()

    void                empathy_chat_clear                  (EmpathyChat *chat);

`chat` : |

### empathy_chat_scroll_down ()

    void                empathy_chat_scroll_down            (EmpathyChat *chat);

`chat` : |

### empathy_chat_cut ()

    void                empathy_chat_cut                    (EmpathyChat *chat);

`chat` : |

### empathy_chat_copy ()

    void                empathy_chat_copy                   (EmpathyChat *chat);

`chat` : |

### empathy_chat_paste ()

    void                empathy_chat_paste                  (EmpathyChat *chat);

`chat` : |

### empathy_chat_correct_word ()

    void                empathy_chat_correct_word           (EmpathyChat *chat,
                                                             GtkTextIter *start,
                                                             GtkTextIter *end,
                                                             const gchar *new_word);

`chat` : |
`start` : |
`end` : |
`new_word` : |

### empathy_chat_is_room ()

    gboolean            empathy_chat_is_room                (EmpathyChat *chat);

`chat` : |
Returns : |

## Property Details

### The `"account"` property

      "account"                  McAccount*            : Read

The account of the chat.

### The `"id"` property

      "id"                       gchar*                : Read

The id of the chat.

Default value: NULL

### The `"name"` property

      "name"                     gchar*                : Read

The name of the chat.

Default value: NULL

### The `"remote-contact"` property

      "remote-contact"           EmpathyContact*       : Read

The remote contact is any.

### The `"subject"` property

      "subject"                  gchar*                : Read

The subject or topic of the chat.

Default value: NULL

### The `"tp-chat"` property

      "tp-chat"                  EmpathyTpChat*        : Read / Write / Construct

The tp chat object.

## Signal Details

### The `"composing"` signal

    void                user_function                      (EmpathyChat *empathychat,
                                                            gboolean     arg1,
                                                            gpointer     user_data)        : Run Last

`empathychat` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"new-message"` signal

    void                user_function                      (EmpathyChat    *empathychat,
                                                            EmpathyMessage *arg1,
                                                            gpointer        user_data)        : Run Last

`empathychat` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.